*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* root colors here */
:root {
  --primary-background: #3c6e71;
  --secondary-background: rgb(40, 75, 99);
  --breaker: rgb(53, 159, 221);
  --opacity-background: rgba(40, 75, 99, 0.4);
  --primary-accent: #d9d9d9;
  --dark-accent: #353535;
  --lightest: #fff;
}

html,
body {
  background-color: var(--primary-background);
  font-family: "Poppins", sans-serif;
  line-height: 1.6;
  scroll-behavior: smooth;
  overflow-x: hidden;
}

body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 2rem;
}

/* main */
.main {
  max-width: 900px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-grow: 1;
}
.content {
  background-color: var(--opacity-background);
  padding: 20px 40px;
  border: var(--lightest) 2px solid;
  border-radius: 10px;
}
.breaker-div {
  margin: 0.6rem 0;
  display: flex;
  justify-content: center;
}
.breaker {
  background-color: var(--breaker);
  height: 2px;
  width: 35%;
}
.main h1 {
  font-size: 2.4rem;
  color: var(--lightest);
  font-weight: normal;
}

.main p {
  color: var(--lightest);
  padding: 15px 0;
}
.main h2 {
  color: var(--primary-accent);
  font-style: italic;
  font-weight: normal;
}

footer {
  bottom: 0;
  height: 3rem;
  width: 100%;
  background-color: var(--secondary-background);
  color: var(--lightest);
  text-align: center;
  padding: 0.75rem 0;
}

/* Media Queries */
@media (max-width: 1200px) {
}
@media (max-width: 992px) {
  .main {
    margin-top: 100px;
    max-width: 800px;
  }
}
@media (max-width: 768px) {
  .main {
    max-width: 400px;
    padding-bottom: 80px;
    text-align: center;
  }
}
@media (max-width: 576px) {
  .main h1 {
    font-size: 2.2rem;
  }
  .main h2 {
    margin-top: 0.5rem;
  }
}
